Workout With Friends Stay fit with a little motivation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Properties
Public Member Functions | Public Attributes | Static Public Attributes | Static Private Attributes | List of all members
wowf.models.pivot_tables.UserChallenge Class Reference

Pivot table between users and the challenges they are in. More...

Inheritance diagram for wowf.models.pivot_tables.UserChallenge:
Collaboration diagram for wowf.models.pivot_tables.UserChallenge:

## Public Member Functions
def | __init__
def | create
def | accept
def | deny
Public Member Functions inherited from wowf.models.meta.Base
def | __str__
def | __repr__
def | __unicode__
def | get_by_id
def | create
def | delete
Public Member Functions inherited from wowf.lib.fulltext.FulltextBase
def | index_type
def | index_id
def | index_data
def | add_index
| Add a fulltext index for this instance.
def | delete_index
| Delete the fulltext index for this instance.
def | update_index
| Update the fulltext index for this instance.

## Public Attributes
| user
| challenge
| is_accepted

## Static Public Attributes
tuple | user_id
tuple | challenge_id
tuple | is_accepted = Column(Boolean, default=None)
tuple | user = relationship('User', lazy='joined')
tuple | challenge = relationship('Challenge', lazy='joined')
Static Public Attributes inherited from wowf.models.meta.Base
tuple | query = DBSession.query_property()
Static Public Attributes inherited from wowf.lib.fulltext.FulltextBase
list | index_fields = []

## Static Private Attributes
string | __tablename__ = 'users_challenges'

## Detailed Description

Pivot table between users and the challenges they are in.

Definition at line 26 of file pivot_tables.py.

## Constructor & Destructor Documentation

def wowf.models.pivot_tables.UserChallenge.__init__ | ( |  | self,
|  |  | user,
|  |  | challenge
| ) |  |

Definition at line 40 of file pivot_tables.py.

## Member Function Documentation

def wowf.models.pivot_tables.UserChallenge.accept | ( |  | self | ) |

Definition at line 48 of file pivot_tables.py.

def wowf.models.pivot_tables.UserChallenge.create | ( |  | cls,
|  |  | user,
|  |  | challenge
| ) |  |

Definition at line 45 of file pivot_tables.py.

def wowf.models.pivot_tables.UserChallenge.deny | ( |  | self | ) |

Definition at line 51 of file pivot_tables.py.

## Member Data Documentation

string wowf.models.pivot_tables.UserChallenge.__tablename__ = 'users_challenges'
| static private

Definition at line 28 of file pivot_tables.py.

tuple wowf.models.pivot_tables.UserChallenge.challenge = relationship('Challenge', lazy='joined')
| static

Definition at line 38 of file pivot_tables.py.

wowf.models.pivot_tables.UserChallenge.challenge

Definition at line 42 of file pivot_tables.py.

tuple wowf.models.pivot_tables.UserChallenge.challenge_id
| static

Initial value:
Column(
Integer(unsigned=True), ForeignKey('challenges.id', ondelete='cascade'),
primary_key=True, autoincrement=False)

Definition at line 32 of file pivot_tables.py.

tuple wowf.models.pivot_tables.UserChallenge.is_accepted = Column(Boolean, default=None)
| static

Definition at line 35 of file pivot_tables.py.

wowf.models.pivot_tables.UserChallenge.is_accepted

Definition at line 49 of file pivot_tables.py.

tuple wowf.models.pivot_tables.UserChallenge.user = relationship('User', lazy='joined')
| static

Definition at line 37 of file pivot_tables.py.

wowf.models.pivot_tables.UserChallenge.user

Definition at line 41 of file pivot_tables.py.

tuple wowf.models.pivot_tables.UserChallenge.user_id
| static

Initial value:
Column(
Integer(unsigned=True), ForeignKey('users.id', ondelete='cascade'),
primary_key=True, autoincrement=False)

Definition at line 29 of file pivot_tables.py.

The documentation for this class was generated from the following file:

- wowf/models/pivot_tables.py